#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2024 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class NgrokIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "ngrok"

    @property
    def original_file_name(self) -> "str":
        return "ngrok.svg"

    @property
    def title(self) -> "str":
        return "ngrok"

    @property
    def primary_color(self) -> "str":
        return "#1F1E37"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>ngrok</title>
     <path d="M18.951 7.598v6.713h1.463v-1.69l1.61
 1.69H24v-.08l-2.123-2.153 2.002-1.846v-.07H21.95l-1.537
 1.496v-4.06zm-2.93 2.41a2.626 2.626 0 00-1.787.635 2.049 2.049 0
 00-.703 1.556c-.002.75.311 1.287.7 1.643.526.478 1.221.626
 1.767.623.666 0 1.34-.195 1.805-.62.521-.483.713-1.029.713-1.607
 0-.73-.31-1.247-.71-1.603-.553-.475-1.202-.628-1.785-.627zm-9.062.039c-1.188-.005-2.1.977-2.104
 2.25-.004 1.296.908 2.108 2.032 2.096.664.002.983-.244
 1.308-.541v1.193h-1.37l-1.03
 1.158v.2H9.66v-6.24H8.195v.435c-.381-.408-.772-.542-1.236-.551zm-4.805.11l-.691.786v-.771H0v4.15h1.463v-2.799c.547.002
 1.023-.002
 1.49-.003v2.802h1.465v-2.595c-.004-.547-.1-.819-.307-1.061a1.431
 1.431 0
 00-.914-.51zm8.114.005v4.15h1.468l.002-2.779h1.065l1.164-1.314v-.057h-1.598l-.635.715v-.715zm-2.946
 1.115c.504 0 .96.444.948.948a.956.956 0 01-.948.945c-.523
 0-.931-.403-.947-.945-.002-.52.443-.94.947-.948zm8.703.001c.525 0
 .94.434.944.95-.027.544-.42.95-.944.95s-.934-.417-.95-.95a.955.955 0
 01.95-.95z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return ''''''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
