#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2024 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class NutanixIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "nutanix"

    @property
    def original_file_name(self) -> "str":
        return "nutanix.svg"

    @property
    def title(self) -> "str":
        return "Nutanix"

    @property
    def primary_color(self) -> "str":
        return "#024DA1"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>Nutanix</title>
     <path d="M.394 3.617a.395.395 0 0 0-.393.395c0
 .12.054.225.14.297l8.506 7.404a.39.39 0 0 1-.013.588l-8.52
 7.412a.393.393 0 0 0 .28.67h4.86a.39.39 0 0 0
 .265-.104l9.17-7.98a.396.396 0 0 0 0-.596L5.52 3.721a.386.386 0 0
 0-.264-.104zm18.358 0a.389.389 0 0 0-.273.113l-4.716 4.106a.392.392 0
 0 0-.04.564l2.427 2.114a.393.393 0 0 0 .291.13.394.394 0 0 0
 .278-.119l7.127-6.203a.389.389 0 0 0 .154-.31.395.395 0 0
 0-.393-.395zm-2.31 9.742c-.116 0-.22.05-.292.13l-2.426 2.113a.392.392
 0 0 0 .039.564l4.716 4.104c.07.07.166.113.273.113h4.855a.393.393 0 0
 0 .239-.705l-7.127-6.203a.393.393 0 0 0-.278-.116z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return '''https://www.nutanix.com/content/dam/nutanix/e'''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
