#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2024 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class SemanticWebIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "semanticweb"

    @property
    def original_file_name(self) -> "str":
        return "semanticweb.svg"

    @property
    def title(self) -> "str":
        return "Semantic Web"

    @property
    def primary_color(self) -> "str":
        return "#005A9C"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>Semantic Web</title>
     <path d="M21.602 0s-1.524 5.809-8.516
 2.658c-.776-.35-.954-.444-.982-.469L2.074 6.301l10.043
 4.896s.776-.326 2.026-.933C20.273 7.287 21.602 0 21.602 0zM1.59
 8.486v10.448L10.947 24V13.242L1.59 8.486zm20.82 0l-9.357
 4.756V24l9.357-5.066V8.486Z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return ''''''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
