#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2024 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class MalwarebytesIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "malwarebytes"

    @property
    def original_file_name(self) -> "str":
        return "malwarebytes.svg"

    @property
    def title(self) -> "str":
        return "Malwarebytes"

    @property
    def primary_color(self) -> "str":
        return "#0D3ECC"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>Malwarebytes</title>
     <path d="M10.87 22.9027c.1571 0 .2796-.1236.2796-.2824
 0-.124-.0874-.2828-.2445-.2828h-.088l-.1926-.0352c-3.2382-.636-5.6358-3.5505-5.6358-6.96
 0-1.4478.4376-2.8256
 1.19-3.938.1229-.1593.315-.2828.5254-.0884l5.1113
 5.2277c.0342.0352.122.0883.1921.0883.0875 0
 .1576-.0353.1927-.0883l5.1458-5.1924c.1927-.1944.368-.1588.473.0352a7.1
 7.1 0 0 1 1.19 3.9385c0 1.819-.6826 3.4622-1.8032
 4.7164-.0347.0353-.087.0883-.1222.1236 0 .0353-.035.0883-.035.1235 0
 .1593.1225.2828.28.2828h.0351c.035 0 .0875-.0352.1225-.0352
 6.8262-2.897 6.5116-9.75 6.5116-9.75
 0-3.9036-1.8384-7.4184-4.6737-9.6263-.1224-.0883-.3151-.0883-.403.0352l-6.7033
 6.8534c-.1228.1235-.3154.1235-.4376 0L5.0234
 1.1949c-.1225-.1235-.2797-.1235-.4022-.0352C1.8379 3.3676 0 6.8293 0
 10.786c0 6.2875 4.7086 11.4806 10.7825 12.1167Z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return ''''''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
